
/*
 * 保存服务范围数据
 */
function saveData(){
    if(config.polyline_array){
        var area = {
            "service_area":[]
        };
        for(var len = 0; len < config.polyline_array.length; len++){
            var pl = config.polyline_array[len];
            if(pl != null){
                var points_json = [];
                var points = pl.getPath();
                for(var p_num = 0; p_num < points.length; p_num ++){
                    var point = {
                        "lng":points[p_num].lng,
                        "lat":points[p_num].lat
                    }
                    points_json[p_num] = point;
                }
                var item_json = {
                     "name": config.polyline_name_array[len],
                     "points":points_json
                }
                area.service_area[len] = item_json;
            }
        }
        localStorage.setItem("area",JSON.stringify(area)); 
        var gid =  "2318";  //getQueryString("gid")
        var city = "上海";  // getQueryString("city");
        var ranges = [{"city":city,"ranges":JSON.stringify(area)}];
        var url ="/?range="+JSON.stringify(ranges);
        $.ajax({
            type: 'get',
            url: url,
            data: {},
            dataType: 'json',
            async: false,   //同步
            crossDomain: true,
            withCredentials: true,
            success: function (data) {
                if (data.code == 0) {
                    alert("保存成功");
                }
            },
            error: function (error, type) {
                alert("type:"+type+"error:"+error);
                if (type == "abort") {
                    showAbortToast();
                } else if (type == "timeout") {
                    showTimeoutToast();
                }
            }
        });
    }
}

/**
 * 在地图上显示服务范围
 */
function showDataInMap(){
    //TODO 从服务器获取服务范围数据
   var gid =  "2318";  //getQueryString("gid")
        var city = "上海";
    confirmCity(city);
    
       var ranges = '{"service_area":[{"name":"服务范围111","points":[{"lng":121.205783,"lat":31.2731},{"lng":121.225042,"lat":31.227008},{"lng":121.227917,"lat":31.215397},{"lng":121.267299,"lat":31.233431},{"lng":121.264424,"lat":31.323735},{"lng":121.262124,"lat":31.324228},{"lng":121.260974,"lat":31.324228},{"lng":121.25925,"lat":31.324537},{"lng":121.25925,"lat":31.324537},{"lng":121.25925,"lat":31.324722}]},{"name":"服务范围2","points":[{"lng":121.23036,"lat":31.218609},{"lng":121.233666,"lat":31.210579},{"lng":121.247177,"lat":31.206749},{"lng":121.276353,"lat":31.190811},{"lng":121.267442,"lat":31.237383},{"lng":121.267442,"lat":31.237383},{"lng":121.267442,"lat":31.237383}]},{"name":"服务范围3","points":[{"lng":121.270461,"lat":31.19495},{"lng":121.310705,"lat":31.150458},{"lng":121.322778,"lat":31.149098},{"lng":121.32824,"lat":31.144277},{"lng":121.340744,"lat":31.142051},{"lng":121.365753,"lat":31.163931},{"lng":121.370065,"lat":31.191243},{"lng":121.370065,"lat":31.191243},{"lng":121.370065,"lat":31.191243},{"lng":121.370065,"lat":31.191243}]},{"name":"服务范围4","points":[{"lng":121.341319,"lat":31.144771},{"lng":121.358423,"lat":31.131913},{"lng":121.366184,"lat":31.126473},{"lng":121.385444,"lat":31.130677},{"lng":121.401398,"lat":31.13451},{"lng":121.408728,"lat":31.149593},{"lng":121.404703,"lat":31.155773},{"lng":121.402404,"lat":31.163437},{"lng":121.409734,"lat":31.168999},{"lng":121.403841,"lat":31.183705},{"lng":121.365322,"lat":31.183582},{"lng":121.365322,"lat":31.183582},{"lng":121.365322,"lat":31.183582}]},{"name":"服务范围5","points":[{"lng":121.25695,"lat":31.313863},{"lng":121.259825,"lat":31.319293},{"lng":121.266724,"lat":31.323735},{"lng":121.281097,"lat":31.319786},{"lng":121.309267,"lat":31.325215},{"lng":121.32249,"lat":31.332618},{"lng":121.343762,"lat":31.336566},{"lng":121.369634,"lat":31.335086},{"lng":121.417926,"lat":31.35285},{"lng":121.461045,"lat":31.363704},{"lng":121.501289,"lat":31.343968},{"lng":121.531472,"lat":31.325215},{"lng":121.564242,"lat":31.317318},{"lng":121.565967,"lat":31.30399},{"lng":121.570566,"lat":31.293623},{"lng":121.572866,"lat":31.283254},{"lng":121.555331,"lat":31.26597},{"lng":121.537509,"lat":31.256586},{"lng":121.510488,"lat":31.255105},{"lng":121.49554,"lat":31.248436},{"lng":121.499421,"lat":31.237445},{"lng":121.505745,"lat":31.231887},{"lng":121.508332,"lat":31.230899},{"lng":121.511925,"lat":31.226947},{"lng":121.513937,"lat":31.224353},{"lng":121.514872,"lat":31.219844},{"lng":121.512787,"lat":31.214965},{"lng":121.509122,"lat":31.210023},{"lng":121.506463,"lat":31.207182},{"lng":121.503804,"lat":31.202858},{"lng":121.500858,"lat":31.200139},{"lng":121.496259,"lat":31.19878},{"lng":121.487204,"lat":31.197051},{"lng":121.479874,"lat":31.195506},{"lng":121.473693,"lat":31.191305},{"lng":121.468878,"lat":31.184694},{"lng":121.469633,"lat":31.178144},{"lng":121.471034,"lat":31.173973},{"lng":121.473082,"lat":31.168968},{"lng":121.47337,"lat":31.165724},{"lng":121.471897,"lat":31.164055},{"lng":121.468771,"lat":31.160192},{"lng":121.464998,"lat":31.157257},{"lng":121.455691,"lat":31.16183},{"lng":121.448613,"lat":31.164457},{"lng":121.448613,"lat":31.164457}]},{"name":"服务范围6","points":[{"lng":121.262017,"lat":31.311302},{"lng":121.272652,"lat":31.194487},{"lng":121.385048,"lat":31.218949},{"lng":121.381886,"lat":31.224384},{"lng":121.381886,"lat":31.224384},{"lng":121.381886,"lat":31.224384}]},{"name":"服务范围7","points":[{"lng":121.402871,"lat":31.170513},{"lng":121.437653,"lat":31.176445},{"lng":121.370101,"lat":31.227842},{"lng":121.25828,"lat":31.194734},{"lng":121.25828,"lat":31.195228},{"lng":121.25828,"lat":31.195228},{"lng":121.25828,"lat":31.195228}]},{"name":"服务范围8","points":[{"lng":121.505637,"lat":31.245009},{"lng":121.597049,"lat":31.15704},{"lng":121.679261,"lat":31.165445},{"lng":121.763774,"lat":31.193128},{"lng":121.742502,"lat":31.231671},{"lng":121.692485,"lat":31.30723},{"lng":121.65339,"lat":31.30723},{"lng":121.62292,"lat":31.308217},{"lng":121.570602,"lat":31.30723},{"lng":121.579226,"lat":31.293407},{"lng":121.572902,"lat":31.27415},{"lng":121.560829,"lat":31.262791},{"lng":121.543006,"lat":31.250443},{"lng":121.515411,"lat":31.248961},{"lng":121.515411,"lat":31.248961},{"lng":121.515411,"lat":31.248961}]},{"name":"服务范围9","points":[{"lng":121.575202,"lat":31.33635},{"lng":121.630394,"lat":31.338818},{"lng":121.678112,"lat":31.322532},{"lng":121.691335,"lat":31.306242},{"lng":121.571752,"lat":31.306242},{"lng":121.571752,"lat":31.306242},{"lng":121.571752,"lat":31.306242},{"lng":121.571752,"lat":31.306242}]}]}';
              
     setTimeout(function(){
          drawMap(ranges);
     },1000);
   

}

function confirmCity(city){
    var option = {
        onSearchComplete: function(results){
            if (local.getStatus() == BMAP_STATUS_SUCCESS){
                if(results.getCurrentNumPois()){
                    // map.centerAndZoom(results.getPoi(0).point,15);
                    //map.setCenter(value);
                    if(results.getCurrentNumPois()){
                        map.setCenter(results.getPoi(0).point,15);
                    }
                    resetMapCenter();
                    //exitSetCity(city);
                }
            }else{
                alert("没有检索到您输入的城市");
                exitSetCity();
            }
        }
    };
    var local = new BMap.LocalSearch(map,option);
    local.search(city);
}

function drawMap(areaStr){
    //var areaStr = localStorage.getItem("area");
    var areaObj = JSON.parse(areaStr);
    if(areaObj){
//        alert(areaObj);
        //清空服务范围缓存
        config.polyline_array = [];
        //对服务范围数据进行遍历
        for(var len = 0;len< areaObj.service_area.length;len++){
            var area_item = areaObj.service_area[len];
            if(area_item){
                var polyPoint = [];
                var name = area_item.name;
                var points = area_item.points;
                for(var p_num = 0; p_num < points.length; p_num ++){
                    var point = new BMap.Point(points[p_num].lng,points[p_num].lat);
                    polyPoint.push(point);
                    if(p_num ==0){
                        map.centerAndZoom(point, 12);
                    }
                }
                //在地图上绘制服务范围区域
                var polygon = new BMap.Polygon(polyPoint, {
                    strokeColor:polyDefaultStyle.strokeColor,
                    strokeWeight:polyDefaultStyle.strokeWeight,
                    strokeOpacity:polyDefaultStyle.strokeOpacity});
                map.addOverlay(polygon);

                //将服务范围加入到缓存中
                config.polyline_array.push(polygon);
                config.polyline_name_array.push(name);

                //添加对应的左侧列表条目
                var dom = '<div class = "bg_item l"><span class = "marker_title l">'+name + '</span>'
                    +  '<span class = "editing r show" onclick = "deletePolyline(' + config.polyline_array.length + ')">删除</span>'
                    +  '<span class = "editing r show" onclick = "editPolyline('+NUM_POLYLINE+')">编辑| </span></div>';
                $("#list_polyline").append(dom);

            }
        }
    }
}

function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = decodeURIComponent(window.location.search).substr(1).match(reg);
    if (r != null) {
        var v = unescape(r[2]);
        return v;
    }
    return "";
}